/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      

      

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         sym.$('.center-wrapper').css("overflow","hidden");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_info1}", "click", function(sym, e) {
         sym.$("msg_1").fadeIn("slow");
         sym.getSymbol("msg_1").play(0);
         
         sym.$("bt_info1").fadeOut("slow");
         sym.$("bt_info2").fadeOut("slow");
         sym.$("bt_info3").fadeOut("slow");
         sym.$("bt_info4").fadeOut("slow");
         sym.$("bt_info5").fadeOut("slow");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_info2}", "click", function(sym, e) {
         sym.$("msg_2").fadeIn("slow");
         sym.getSymbol("msg_2").play(0);
         
         sym.$("bt_info1").fadeOut("slow");
         sym.$("bt_info2").fadeOut("slow");
         sym.$("bt_info3").fadeOut("slow");
         sym.$("bt_info4").fadeOut("slow");
         sym.$("bt_info5").fadeOut("slow");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_info5}", "click", function(sym, e) {
         sym.$("msg_5").fadeIn("slow");
         sym.getSymbol("msg_5").play(0);
         
         sym.$("bt_info1").fadeOut("slow");
         sym.$("bt_info2").fadeOut("slow");
         sym.$("bt_info3").fadeOut("slow");
         sym.$("bt_info4").fadeOut("slow");
         sym.$("bt_info5").fadeOut("slow");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_info4}", "click", function(sym, e) {
         sym.$("msg_4").fadeIn("slow");
         sym.getSymbol("msg_4").play(0);
         
         sym.$("bt_info1").fadeOut("slow");
         sym.$("bt_info2").fadeOut("slow");
         sym.$("bt_info3").fadeOut("slow");
         sym.$("bt_info4").fadeOut("slow");
         sym.$("bt_info5").fadeOut("slow");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_info3}", "click", function(sym, e) {
         sym.$("msg_3").fadeIn("slow");
         sym.getSymbol("msg_3").play(0);
         
         sym.$("bt_info1").fadeOut("slow");
         sym.$("bt_info2").fadeOut("slow");
         sym.$("bt_info3").fadeOut("slow");
         sym.$("bt_info4").fadeOut("slow");
         sym.$("bt_info5").fadeOut("slow");
         

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'slide_5'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         //CAMBIAR ESTA OPCIÓN A PLAY SI SE DESEA INICIAR LA ANIMACIÓN O SI ES IMAGEN FIJA PONERLA EN STOP 
         sym.stop();

      });
      //Edge binding end

      

      

      

      

      

      

      

   })("slide_1");
   //Edge symbol end:'slide_1'

   //=========================================================
   
   //Edge symbol: 'Hot_Spot'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         sym.play();

      });
      //Edge binding end

   })("Hot_Spot");
   //Edge symbol end:'Hot_Spot'

   //=========================================================
   
   //Edge symbol: 'bg_defecto_simbolo'
   (function(symbolName) {   
   
   })("bg_defecto_simbolo");
   //Edge symbol end:'bg_defecto_simbolo'

   //=========================================================
   
   //Edge symbol: 'teacher'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3000, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("teacher");
   //Edge symbol end:'teacher'

   //=========================================================
   
   //Edge symbol: 'children2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 5000, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("children2");
   //Edge symbol end:'children2'

   //=========================================================
   
   //Edge symbol: 'children1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 9000, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("children1");
   //Edge symbol end:'children1'

   //=========================================================

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'bt_info'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_1}", "click", function(sym, e) {
         sym.stop("down");
         
         sym.getComposition().getStage().$("info_dialogo").show();
         sym.getComposition().getStage().getSymbol("info_dialogo").play("inicio");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_2}", "click", function(sym, e) {
         sym.stop("up");
         sym.getComposition().getStage().$("info_dialogo").hide();
         sym.getComposition().getStage().getSymbol("info_dialogo").stop("inicio");
         

      });
      //Edge binding end

   })("bt_info");
   //Edge symbol end:'bt_info'

   //=========================================================
   
   //Edge symbol: 'msg_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.getSymbol("bt_cerrar").stop("up");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.getSymbolElement().hide();
         sym.getComposition().getStage().getSymbol("bt_info1").stop("up");
         
         sym.getComposition().getStage().$("bt_info1").fadeIn("slow");
         sym.getComposition().getStage().$("bt_info2").fadeIn("slow");
         sym.getComposition().getStage().$("bt_info3").fadeIn("slow");
         sym.getComposition().getStage().$("bt_info4").fadeIn("slow");
         sym.getComposition().getStage().$("bt_info5").fadeIn("slow");
         
         

      });
      //Edge binding end

   })("msg_1");
   //Edge symbol end:'msg_1'

   //=========================================================
   
   //Edge symbol: 'bt_info_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_1}", "click", function(sym, e) {
         sym.stop("down");
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").$("pop_info").show();
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").getSymbol("pop_info").play("inicio");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_2}", "click", function(sym, e) {
         sym.stop("up");
         

      });
      //Edge binding end

   })("bt_cerrar");
   //Edge symbol end:'bt_cerrar'

   //=========================================================
   
   //Edge symbol: 'msg_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.getSymbol("bt_cerrar").stop("up");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.getSymbolElement().hide();
         sym.getComposition().getStage().getSymbol("bt_info2").stop("up");
         
         sym.getComposition().getStage().$("bt_info1").fadeIn("slow");
         sym.getComposition().getStage().$("bt_info2").fadeIn("slow");
         sym.getComposition().getStage().$("bt_info3").fadeIn("slow");
         sym.getComposition().getStage().$("bt_info4").fadeIn("slow");
         sym.getComposition().getStage().$("bt_info5").fadeIn("slow");
         
         

      });
      //Edge binding end

   })("msg_2");
   //Edge symbol end:'msg_2'

   //=========================================================
   
   //Edge symbol: 'msg_3'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.getSymbol("bt_cerrar").stop("up");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.getSymbolElement().hide();
         sym.getComposition().getStage().getSymbol("bt_info3").stop("up");
         
         sym.getComposition().getStage().$("bt_info1").fadeIn("slow");
         sym.getComposition().getStage().$("bt_info2").fadeIn("slow");
         sym.getComposition().getStage().$("bt_info3").fadeIn("slow");
         sym.getComposition().getStage().$("bt_info4").fadeIn("slow");
         sym.getComposition().getStage().$("bt_info5").fadeIn("slow");
         
         

      });
      //Edge binding end

   })("msg_3");
   //Edge symbol end:'msg_3'

   //=========================================================
   
   //Edge symbol: 'msg_4'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.getSymbol("bt_cerrar").stop("up");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.getSymbolElement().hide();
         sym.getComposition().getStage().getSymbol("bt_info4").stop("up");
         
         sym.getComposition().getStage().$("bt_info1").fadeIn("slow");
         sym.getComposition().getStage().$("bt_info2").fadeIn("slow");
         sym.getComposition().getStage().$("bt_info3").fadeIn("slow");
         sym.getComposition().getStage().$("bt_info4").fadeIn("slow");
         sym.getComposition().getStage().$("bt_info5").fadeIn("slow");
         
         

      });
      //Edge binding end

   })("msg_4");
   //Edge symbol end:'msg_4'

   //=========================================================
   
   //Edge symbol: 'msg_5'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.getSymbol("bt_cerrar").stop("up");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.getSymbolElement().hide();
         sym.getComposition().getStage().getSymbol("bt_info1").stop("up");
         
         sym.getComposition().getStage().$("bt_info1").fadeIn("slow");
         sym.getComposition().getStage().$("bt_info2").fadeIn("slow");
         sym.getComposition().getStage().$("bt_info3").fadeIn("slow");
         sym.getComposition().getStage().$("bt_info4").fadeIn("slow");
         sym.getComposition().getStage().$("bt_info5").fadeIn("slow");
         
         

      });
      //Edge binding end

   })("msg_5");
   //Edge symbol end:'msg_5'

})(jQuery, AdobeEdge, "EDGE-5531445");